#define CHANNELS 1           // Set how many channels we need
#include "TA-DMX-TX.h"       // Include DMX transmit library

#define ADDRESS 32           // Use address 32 (this can be different
                             // than the transmitter's address)
uint8_t dmx_data;
uint32_t timer = 30000; 
uint32_t delay_timer = 0;
uint8_t toggle = 0;

void setup()
{
Serial.begin(250000);
pinMode(13,OUTPUT);          // This is the onboard LED
DMXinit(ADDRESS,1);          // Initialize DMX, starting with 32, 
                             //only writing one channel
DMXput(ADDRESS,0);           // set channel 32 to 0
}

void loop()
{
if(Serial.available() > 0)   // If data is available to be read
{
timer = millis() + 2000;     // Reset our 2 second count
dmx_data = Serial.read();    // Read incoming data
DMXput(ADDRESS,dmx_data);    // Write received data
}
	
if(timer < millis())      // If millis() reads higher than timer,
                          // 2 seconds have passed since we got more data,
                          // which means our link is dead.
{
if(delay_timer < millis())
{
delay_timer = millis() + 1000;
if(toggle == 0)           // Toggle flip flops, keeping 
                          // us from being tied up in a delay
{
digitalWrite(13,HIGH);    // Turn onboard LED on
toggle = 1;               // Flip toggle
}

else
{
digitalWrite(13,LOW);     // Turn onboard LED off
toggle = 0;               // Flop toggle
}
}
}
}