#include <Servo.h>                     // Include servo library
#define CHANNELS 1                     // Set how many channels we need
#include "TA-DMX-RX.h"                 // Include DMX receiver library

Servo dial;                            // The servo controller

#define ADDRESS 32                     // The address to watch

uint8_t dmx_data;                      // Variable for dmx value

uint32_t position = 90;                // Variable for servo position

void setup()
{
	dial.attach(2);                    // Assign dial to pin 2
	dial.write(position);              // Move servo to center position
	DMXinit(ADDRESS, 1);               // Initialize DMX, watch for address 32,
                                       // only read one channel	
}

void loop()
{
	dmx_data = DMXget(START);                 // Read 0-255 DMX data
	position = map(dmx_data,0,255,0,180);     // Map range to 0-180
	dial.write(position);                     // Set servo to new position
}
