#define TIME 500

int x;

void setup()
{

}

void stepvalue(int pin, int step, int offset)  // Create a function that
                                               // fades an LED up and back down.
{
	int realstep;                              
	int value; 
	
	realstep = step - offset;           // This adjusts the step/offset value
	                                    // based on the function's arguments
	
	if(realstep < 0)	    // If this value is less than 0, the LED is off.
	{
		analogWrite(pin,0);
		return;
	}
	
	if(realstep > 300)	// If this value is greater than 300, the LED is also off.
	{
		analogWrite(pin,0);
		return;
	}

	// The remainder of the function sets what we should do at each step

	if(realstep <= 127)	                        // From 0-127 - fade up
	{
		value = realstep * 2; 
	}
	else if(realstep > 127 && realstep < 173)	// From 127-173 - hold steady
	{
		value = 255;
	}
	else if(realstep >= 173)	                // From 173-300 - fade out
	{
		value = (300 - realstep) * 2;
	}
	analogWrite(pin,value); 	                // Then write out our value
	return;                                  // on the appropriate pin
}

void loop()
{
	for(x = 0; x < 800; x++)          // Sweeps one direction

	{
		stepvalue(3,x,0);    // Steps through the PWM pins (3, 5, 6, 9, 10, 11),
		stepvalue(5,x,100);  // starting the offset of each pin at a higher
		stepvalue(6,x,200);  // value than the pin before it
		stepvalue(9,x,300);
		stepvalue(10,x,400);
		stepvalue(11,x,500);	
		delayMicroseconds(TIME);      // Slows down the effect, controlling
	}                             // how fast the lights appear to sweep
	
	for(x = 799; x >= 0; x--)     // Sweeps the opposite direction

	{
		stepvalue(3,x,0);
		stepvalue(5,x,100);
		stepvalue(6,x,200);
		stepvalue(9,x,300);
		stepvalue(10,x,400); 
		stepvalue(11,x,500);
		delayMicroseconds(TIME);
	}

}
